<?php
/**
 * @package    Bongovo Installer plugin
 *
 * @author     Pavel Poles - n3t.cz
 * @copyright  © 2022 Pavel Poles - n3t.cz. All rights reserved.
 * @license    GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 * @link       https://n3t.bitbucket.io
*/

defined('_JEXEC') or die;

use Joomla\CMS\Version;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Factory;
use Joomla\CMS\Plugin\PluginHelper;
use Joomla\CMS\HTML\HTMLHelper;

if (Version::MAJOR_VERSION >= 4) {
	Factory::getApplication()->getDocument()->getWebAssetManager()
		->registerAndUseScript('plg_installer_bongovo', 'plg_installer_bongovo/bongovo.min.js', ['version' => 'auto', 'relative' => true], ['defer' => true]);
} else {
	$doc = Factory::getDocument();
  HTMLHelper::script('plg_installer_bongovo/bongovo.min.js', ['version' => 'auto', 'relative' => true], ['defer' => true]);
}

/** @var PlgInstallerBongovo $this */
?>
<legend><?php echo Text::_('PLG_INSTALLER_BONGOVO_TEXT'); ?></legend>
<?php
$translations = $this->loadTranslationsToInstall();
if ($translations) {
?>
  <h3><?php echo Text::_('PLG_INSTALLER_BONGOVO_HEADING_TO_INSTALL'); ?></h3>
<?php
	include PluginHelper::getLayoutPath('installer', 'bongovo', 'table');
}

$translations = $this->loadTranslationsInstalled();
if ($translations) {
?>
  <h3><?php echo Text::_('PLG_INSTALLER_BONGOVO_HEADING_INSTALLED'); ?></h3>
<?php
	include PluginHelper::getLayoutPath('installer', 'bongovo', 'table');
}

$translations = $this->loadTranslationsOther();
if ($translations) {
?>
  <h3><?php echo Text::_('PLG_INSTALLER_BONGOVO_HEADING_OTHER'); ?></h3>
<?php
	include PluginHelper::getLayoutPath('installer', 'bongovo', 'table');
}
